@ECHO off

IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO You currently do not have the Microsoft(c) .NET Framework 2.0 installed.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO This is required for the RadiVision CD Viewer to work.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO . 
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO The Microsoft(c) .NET Framework 2.0 will now be installed on you system.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO AFTER COMPLETION SETUP WILL START RadiVision CD Viewer ON YOUR SYSTEM.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO . 
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO Momentan nu aveti instalat Microsoft(c) .NET Framework 2.0 pe calculatorul dumneavoastra.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO Acesta este necesar pentru ca RadiVision CD Viewer sa functioneze.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO . 
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO Microsoft(c) .NET Framework 2.0 urmeaza sa fie instalat pe sistemul dumneavoastra.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO DUPA INSTALARE VIEWERUL DE PE CD SE VA LANSA AUTOMAT.
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" ECHO .
IF NOT EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" set /p userinp=Press y and enter for start the installation or n and enter for exit:
set userinp=%userinp:~0,1%
if "%userinp%"=="y" goto INSALEAZA
if "%userinp%"=="Y" goto INSALEAZA
if "%userinp%"=="n" goto END
GOTO END

:INSALEAZA
ECHO When the installer starts please click on Next !!!
@Start /w .\dotnetfx.exe
GOTO END

:END
IF %processor_architecture% == AMD64 @Start \RadiVisionLight\radiVisionCD.exe

IF %processor_architecture% == x86 IF EXIST "%systemroot%\Microsoft.NET\Framework\v2.0.50727" @Start .\RadiVisionLight\radiVisionCD.exe

EXIT

